---
title: llarp::layers::platform::NameResolver

---

# llarp::layers::platform::NameResolver





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[NameResolver](Classes/classllarp_1_1layers_1_1platform_1_1NameResolver.md#function-nameresolver)**([NameCache](Classes/classllarp_1_1layers_1_1platform_1_1NameCache.md) & name_cache, [flow::FlowLayer](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md) & flow_layer) |
| void | **[resolve_flow_addr_async](Classes/classllarp_1_1layers_1_1platform_1_1NameResolver.md#function-resolve-flow-addr-async)**(std::string name, std::function< void(std::optional< [flow::FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) >)> handler)<br>resolve name using in network resolution  |

## Public Functions Documentation

### function NameResolver

```cpp
NameResolver(
    NameCache & name_cache,
    flow::FlowLayer & flow_layer
)
```


### function resolve_flow_addr_async

```cpp
void resolve_flow_addr_async(
    std::string name,
    std::function< void(std::optional< flow::FlowAddr >)> handler
)
```

resolve name using in network resolution 

-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000